Skip to main content
GET
/
jobs
/
{jobId}
/
executions
List job executions
curl --request GET \
  --url https://api.blaxel.ai/v0/jobs/{jobId}/executions \
  --header 'Authorization: Bearer <token>'
[
  {
    "metadata": {
      "cluster": "<string>",
      "completedAt": "<string>",
      "createdAt": "<string>",
      "deletedAt": "<string>",
      "expiredAt": "<string>",
      "id": "exec-abc123",
      "job": "data-processing-job",
      "startedAt": "<string>",
      "updatedAt": "<string>",
      "workspace": "my-workspace"
    },
    "spec": {
      "envOverride": "{\"MY_VAR\": \"***\", \"BATCH_SIZE\": \"***\"}",
      "memoryOverride": 2048,
      "parallelism": 5,
      "tasks": [
        {
          "conditions": [
            {
              "executionReason": "<string>",
              "message": "<string>",
              "reason": "<string>",
              "severity": "<string>",
              "state": "<string>",
              "type": "<string>"
            }
          ],
          "metadata": {
            "completedAt": "<string>",
            "createdAt": "<string>",
            "name": "task-0",
            "scheduledAt": "<string>",
            "startedAt": "<string>",
            "updatedAt": "<string>"
          },
          "spec": {
            "maxRetries": 3,
            "timeout": "30m"
          },
          "status": "unspecified"
        }
      ],
      "timeout": 3600
    },
    "stats": {
      "cancelled": 0,
      "failure": 1,
      "retried": 2,
      "running": 1,
      "success": 8,
      "total": 10
    },
    "status": "queued",
    "tasks": [
      {
        "conditions": [
          {
            "executionReason": "<string>",
            "message": "<string>",
            "reason": "<string>",
            "severity": "<string>",
            "state": "<string>",
            "type": "<string>"
          }
        ],
        "metadata": {
          "completedAt": "<string>",
          "createdAt": "<string>",
          "name": "task-0",
          "scheduledAt": "<string>",
          "startedAt": "<string>",
          "updatedAt": "<string>"
        },
        "spec": {
          "maxRetries": 3,
          "timeout": "30m"
        },
        "status": "unspecified"
      }
    ]
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.blaxel.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

OAuth2 authentication with JWT tokens

Path Parameters

jobId
string
required

Name of the job

Query Parameters

limit
integer
default:20

Number of items per page

Required range: 1 <= x <= 100
offset
integer
default:0

Page offset

Required range: x >= 0

Response

successful operation

metadata
object
required
read-only

Job execution metadata

spec
object
required

Job execution specification

stats
object
read-only

Job execution statistics

status
enum<string>

Job execution status

Available options:
queued,
pending,
running,
cancelling,
cancelled,
failed,
succeeded,
timeout
tasks
object[]

List of execution tasks

Last modified on April 29, 2026